org.apache.kylin.jdbc

## Class KylinPrepareStatementImpl

- java.lang.Object
- - net.hydromatic.avatica.AvaticaStatement
  - - net.hydromatic.avatica.AvaticaPreparedStatement
    - - org.apache.kylin.jdbc.KylinPrepareStatementImpl

All Implemented Interfaces:
  AutoCloseable, ParameterMetaData, PreparedStatement, Statement, Wrapper

Direct Known Subclasses:
  KylinJdbc41Factory.KylinJdbc41PreparedStatement

    public abstract class KylinPrepareStatementImpl
    extends net.hydromatic.avatica.AvaticaPreparedStatement

Kylin prepare statement.
Supported operations:

- setString
- setInt
- setShort
- setLong
- setFloat
- setDouble
- setBoolean
- setByte
- setDate
- setTime
- setTimestamp

Author:
  xduo

### Field Summary

Fields
`protected net.hydromatic.avatica.AvaticaPrepareResult` `prequeryResult` Before real query,

### Fields inherited from class net.hydromatic.avatica.AvaticaStatement

`closed, closeOnCompletion, connection, maxRowCount, openResultSet`

### Fields inherited from interface java.sql.Statement

`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

### Fields inherited from interface java.sql.ParameterMetaData

`parameterModeIn, parameterModeInOut, parameterModeOut, parameterModeUnknown, parameterNoNulls, parameterNullable, parameterNullableUnknown`

### Constructor Summary

Constructors
`protected` `KylinPrepareStatementImpl(net.hydromatic.avatica.AvaticaConnection connection, net.hydromatic.avatica.AvaticaPrepareResult prepareResult, int resultSetType, int resultSetConcurrency, int resultSetHoldability)`

### Method Summary

Methods
`protected void` `close_()`
`ResultSet` `executeQuery()`
`List<Object>` `getParameterValues()`
`void` `setAsciiStream(int parameterIndex, InputStream x)`
`void` `setAsciiStream(int parameterIndex, InputStream x, long length)`
`void` `setBinaryStream(int parameterIndex, InputStream x)`
`void` `setBinaryStream(int parameterIndex, InputStream x, long length)`
`void` `setBlob(int parameterIndex, InputStream inputStream)`
`void` `setBlob(int parameterIndex, InputStream inputStream, long length)`
`void` `setCharacterStream(int parameterIndex, Reader reader)`
`void` `setCharacterStream(int parameterIndex, Reader reader, long length)`
`void` `setClob(int parameterIndex, Reader reader)`
`void` `setClob(int parameterIndex, Reader reader, long length)`
`void` `setNCharacterStream(int parameterIndex, Reader value)`
`void` `setNCharacterStream(int parameterIndex, Reader value, long length)`
`void` `setNClob(int parameterIndex, NClob value)`
`void` `setNClob(int parameterIndex, Reader reader)`
`void` `setNClob(int parameterIndex, Reader reader, long length)`
`void` `setNString(int parameterIndex, String value)`
`void` `setRowId(int parameterIndex, RowId x)`
`void` `setSQLXML(int parameterIndex, SQLXML xmlObject)`

### Methods inherited from class net.hydromatic.avatica.AvaticaPreparedStatement

`addBatch, clearParameters, execute, executeUpdate, getMetaData, getParameter, getParameterClassName, getParameterCount, getParameterMetaData, getParameterMode, getParameterType, getParameterTypeName, getPrecision, getScale, isNullable, isSigned, setArray, setAsciiStream, setBigDecimal, setBinaryStream, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNull, setNull, setObject, setObject, setObject, setRef, setShort, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, setURL`

### Methods inherited from class net.hydromatic.avatica.AvaticaStatement

`addBatch, cancel, clearBatch, clearWarnings, close, closeOnCompletion, execute, execute, execute, execute, executeBatch, executeInternal, executeQuery, executeQueryInternal, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, isWrapperFor, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.Statement

`addBatch, cancel, clearBatch, clearWarnings, close, closeOnCompletion, execute, execute, execute, execute, executeBatch, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Field Detail

#### prequeryResult

    protected net.hydromatic.avatica.AvaticaPrepareResult prequeryResult

Before real query,

### Constructor Detail

#### KylinPrepareStatementImpl

    protected KylinPrepareStatementImpl(net.hydromatic.avatica.AvaticaConnection connection,
                             net.hydromatic.avatica.AvaticaPrepareResult prepareResult,
                             int resultSetType,
                             int resultSetConcurrency,
                             int resultSetHoldability)
                                 throws SQLException

Throws:
  `SQLException`

### Method Detail

#### executeQuery

    public ResultSet executeQuery()
                           throws SQLException

Specified by:
  `executeQuery` in interface `PreparedStatement`
Overrides:
  `executeQuery` in class `net.hydromatic.avatica.AvaticaPreparedStatement`
Throws:
  `SQLException`

#### close_

    protected void close_()

Overrides:
  `close_` in class `net.hydromatic.avatica.AvaticaStatement`

#### getParameterValues

    public List<Object> getParameterValues()

Overrides:
  `getParameterValues` in class `net.hydromatic.avatica.AvaticaPreparedStatement`

#### setRowId

    public void setRowId(int parameterIndex,
                RowId x)
                  throws SQLException

Throws:
  `SQLException`

#### setNString

    public void setNString(int parameterIndex,
                  String value)
                    throws SQLException

Throws:
  `SQLException`

#### setNCharacterStream

    public void setNCharacterStream(int parameterIndex,
                           Reader value,
                           long length)
                             throws SQLException

Throws:
  `SQLException`

#### setNClob

    public void setNClob(int parameterIndex,
                NClob value)
                  throws SQLException

Throws:
  `SQLException`

#### setClob

    public void setClob(int parameterIndex,
               Reader reader,
               long length)
                 throws SQLException

Throws:
  `SQLException`

#### setBlob

    public void setBlob(int parameterIndex,
               InputStream inputStream,
               long length)
                 throws SQLException

Throws:
  `SQLException`

#### setNClob

    public void setNClob(int parameterIndex,
                Reader reader,
                long length)
                  throws SQLException

Throws:
  `SQLException`

#### setSQLXML

    public void setSQLXML(int parameterIndex,
                 SQLXML xmlObject)
                   throws SQLException

Throws:
  `SQLException`

#### setAsciiStream

    public void setAsciiStream(int parameterIndex,
                      InputStream x,
                      long length)
                        throws SQLException

Throws:
  `SQLException`

#### setBinaryStream

    public void setBinaryStream(int parameterIndex,
                       InputStream x,
                       long length)
                         throws SQLException

Throws:
  `SQLException`

#### setCharacterStream

    public void setCharacterStream(int parameterIndex,
                          Reader reader,
                          long length)
                            throws SQLException

Throws:
  `SQLException`

#### setAsciiStream

    public void setAsciiStream(int parameterIndex,
                      InputStream x)
                        throws SQLException

Throws:
  `SQLException`

#### setBinaryStream

    public void setBinaryStream(int parameterIndex,
                       InputStream x)
                         throws SQLException

Throws:
  `SQLException`

#### setCharacterStream

    public void setCharacterStream(int parameterIndex,
                          Reader reader)
                            throws SQLException

Throws:
  `SQLException`

#### setNCharacterStream

    public void setNCharacterStream(int parameterIndex,
                           Reader value)
                             throws SQLException

Throws:
  `SQLException`

#### setClob

    public void setClob(int parameterIndex,
               Reader reader)
                 throws SQLException

Throws:
  `SQLException`

#### setBlob

    public void setBlob(int parameterIndex,
               InputStream inputStream)
                 throws SQLException

Throws:
  `SQLException`

#### setNClob

    public void setNClob(int parameterIndex,
                Reader reader)
                  throws SQLException

Throws:
  `SQLException`